Subject: bug#14513: closed (Re: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Jun 2013 08:15:04 +0000

Your bug report

#14513: 24.3.50; Site load-path pieces differ in MSYS build

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14513: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14513
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build
From: Eli Zaretskii <[email-masked]>
To: Richard Copley <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 07 Jun 2013 11:14:07 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 2 Jun 2013 12:33:08 +0100
> From: Richard Copley <[email-masked]>
> 
> > Date: Sat, 1 Jun 2013 18:25:14 +0100
> > From: Richard Copley <[email-masked]>
> > [...] that's not possible without resorting to
> > heuristics, because ${locallisppath} is potentially a ":"-separated path.
> 
> The attached patch supports both styles. The heuristics didn't turn
> out to be as hairy as I imagined.
> 
> A few test cases:
> 
> nt/msysconfig.sh
> #define PATH_SITELOADSEARCH
> "%emacs_dir%/share/emacs/24.3.50/site-lisp;%emacs_dir%/share/emacs/site-lisp"
> 
> nt/msysconfig.sh --prefix c:/emacs/emacs-112809
> #define PATH_SITELOADSEARCH
> "%emacs_dir%/share/emacs/24.3.50/site-lisp;%emacs_dir%/share/emacs/site-lisp"
> 
> nt/msysconfig.sh --prefix="c:\\Program Files (x86)\\Emacs"
> #define PATH_SITELOADSEARCH
> "%emacs_dir%/share/emacs/24.3.50/site-lisp;%emacs_dir%/share/emacs/site-lisp"
> 
> nt/msysconfig.sh --prefix="c:/Program Files (x86)/Emacs"
> --enable-locallisppath="%emacs_dir%/../site-lisp;d:/wherever/site-lisp"
> #define PATH_SITELOADSEARCH
> "%emacs_dir%/../site-lisp/;d:/wherever/site-lisp"
> 
> nt/msysconfig.sh --prefix="c:/Program Files (x86)/Emacs"
> --enable-locallisppath="%emacs_dir%/../site-lisp;/d/wherever/site-lisp"
> #define PATH_SITELOADSEARCH
> "%emacs_dir%/../site-lisp/;d:/wherever/site-lisp"
> 
> nt/msysconfig.sh --prefix="/usr/local"
> --enable-locallisppath="/usr/local/share/my-site-lisp"
> #define PATH_SITELOADSEARCH "%emacs_dir%/share/my-site-lisp"

Thanks, I committed this (with ChangeLog entries) in your name.

Please note that these patches all but exhausted the limit on the
patches we can accept without your signing of legal papers.  So
additional contributions (which will be most welcome) will need
paperwork to be sent to the FSF copyright clerk.

Thanks again for working on this.

Subject: 24.3.50; Site load-path pieces differ in MSYS build
From: Richard Copley <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 30 May 2013 14:46:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The site-specific pieces of the initial load-path are different in the
nt/msysconfig.sh build from how they used to be with nt/configure.bat.

In src/epaths.h (when built), PATH_SITELOADSEARCH is defined as:

  with nt/configure.bat: "%emacs_dir%/site-lisp;%emacs_dir%/../site-lisp"

  with nt/msysconfig.sh:
"%emacs_dir%/share/emacs/24.3.50/site-lisp;%emacs_dir%/share/emacs/site-lisp"

The former version was much more useful on Windows, allowing
one to keep a bunch of Emacs installs in a single parent directory
that also contains the site-lisp directory.

As a workaround I tried configuring with
"--enable-locallisppath=c:/emacs/site-lisp" but it didn't seem to have
any effect.

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-05-30 on 57172UHB
Bzr revision: 112785 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix c:/emacs/emacs-112785
 --enable-locallisppath=c:/emacs/site-lisp CPPFLAGS='-I G:/usr/include'
 LDFLAGS='-L G:/usr/lib''

Important settings:
  value of $LANG: ENG
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x f i n d - l i b <return> s i t e - s t a r t <return>
M-x r - e - b <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
find-library-name: Can't find library site-start

Load-path shadows:
None found.

Features:
(shadow sort nadvice gnus-util mail-extr emacsbug message format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils thingatpt find-func time-date
tooltip ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
w32-common-fns disp-table w32-win w32-vars tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process w32notify w32 multi-tty emacs)